PX_GET_FIELDS(3)

NAME
PX_get_fields — Returns array of field definitions in Paradox file

SYNOPSIS

#include <paradox.h>

pxfield_t *PX_get_fields(pxdoc_t *pxdoc)

DESCRIPTION

Returns the meta data of all fields. This function is identical to the call of PX_get_field(3) with a record number 0, but you should for further releases not rely on it. Sie PX_get_field(3) for a definition of pxfield_t.

RETURN VALUE

Returns pointer to field array on success and NULL on failure.

SEE ALSO

PX_get_record(3), PX_get_field(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.